# © 2020 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import fields, models


class ScopCotisationCompany(models.Model):
    _inherit = "res.company"

    is_contribution = fields.Boolean("Cotisations", default=False)
    contribution_journal_id = fields.Many2one(
        comodel_name="account.journal",
        string="Journal des cotisations",
        domain="[('type', '=', 'sale')]",
    )

    tag_cotiz_id = fields.Many2one(
        comodel_name="res.partner.category",
        string="Etiquette de cotisation",
        ondelete="restrict",
    )
