# © 2020 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import fields, models


class CotisationsConfigSettings(models.TransientModel):
    _inherit = "res.config.settings"

    is_contribution = fields.Boolean(
        string="Cotisations",
        related="company_id.is_contribution",
        readonly=False,
    )
    contribution_journal_id = fields.Many2one(
        comodel_name="account.journal",
        related="company_id.contribution_journal_id",
        readonly=False,
        string="Journal des cotisations",
        domain="[('type', '=', 'sale')]",
    )

    tag_cotiz_id = fields.Many2one(
        comodel_name="res.partner.category",
        related="company_id.tag_cotiz_id",
        readonly=False,
        string="Etiquette de cotisation",
    )
