# © 2020 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import models


class ContributionAccountMoveReversal(models.TransientModel):
    _inherit = "account.move.reversal"

    def _prepare_default_reversal(self, move):
        """
        Surcharge la la fonction initiale pour ajouter l'année
        et le type cotisation
        :param move: facture
        :return: avoir
        """
        refund = super(ContributionAccountMoveReversal, self)._prepare_default_reversal(
            move
        )
        refund.update(
            {
                "year": move.year,
                "is_contribution": move.is_contribution,
                "type_contribution_id": move.type_contribution_id.id,
                "invoice_payment_term_id": move.invoice_payment_term_id.id,
            }
        )
        return refund
