# © 2020 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import fields, models


class AccountPaymentLineCreate(models.TransientModel):
    _inherit = "account.payment.line.create"

    start_date = fields.Date(string="Date Mini")
    ur_ids = fields.Many2many(comodel_name="union.regionale", string="Union Régionale")

    def _prepare_move_line_domain(self):
        self.ensure_one()
        domain = super()._prepare_move_line_domain()
        if self.start_date:
            domain += [("date_maturity", ">=", self.start_date)]
        if self.ur_ids:
            domain += [("partner_id.ur_id", "in", self.ur_ids.ids)]

        return domain
